%global commit0 4a9c329ba879d2acf27fabe9847b9bb54463e8ce
%global date    20150608

%global srcname qconf
%global sum     Tool for generating configure script for qmake-based projects

Summary:        %sum
Name:           %{srcname}
Version:        1.4
Release:        13.%{date}git%(c=%{commit0}; echo ${c:0:7})%{?dist}
# rhbz#1234217 introduced an official v1.5 which upstream reverted
Epoch:          1

Group:          Development/Tools
License:        GPLv2+
URL:            https://github.com/psi-plus/%{srcname}
Source0:        %{url}/archive/%{commit0}.tar.gz#/%{name}-%{commit0}.tar.gz

Buildrequires:  qt4-devel >= 4.4.0
Buildrequires:  qt5-qtbase-devel
BuildRequires:  help2man

Requires:       %{srcname}-data = %{epoch}:%{version}-%{release}

%{?_qt4_version:Requires: qt4%{?_isa} >= %{_qt4_version}}

%description
QConf allows you to have a nice configure script for your
qmake-based project. It is intended for developers who don't need
(or want) to use the more complex GNU autotools. With %{srcname}/qmake,
it is easy to maintain a cross-platform project that uses a
familiar configuration interface on Unix.


%package data
Summary:        Data files for QConf
BuildArch:      noarch

%description data
%{summary}.


%package qt5
Summary:        %sum (Qt5)
Requires:       %{srcname}-data = %{epoch}:%{version}-%{release}

%description qt5
QConf allows you to have a nice configure script for your
qmake-based project. It is intended for developers who don't need
(or want) to use the more complex GNU autotools. With %{srcname}/qmake,
it is easy to maintain a cross-platform project that uses a
familiar configuration interface on Unix.

This is the Qt5 supported binary to be able to configure Makefiles
with the intention to be used for any other Qt5 compatible builds.


%prep
%setup -qn%{name}-%{commit0}


%build
%{qmake_qt4} \
  PREFIX=%{_prefix}   \
  BINDIR=%{_bindir}   \
  DATADIR=%{_datadir} \
  QTDIR=%{_qt4_prefix}
%make_build

mkdir qt5
pushd qt5
cp -p -t. ../%{name}.pro
ln -s ../src
%{qmake_qt5} \
  PREFIX=%{_prefix}   \
  BINDIR=%{_bindir}   \
  DATADIR=%{_datadir} \
  QTDIR=%{_qt5_prefix}
%make_build


%install
%make_install INSTALL_ROOT=%{buildroot}
# Fedora has gridengine package
# So I need to use another name
mv %{buildroot}%{_bindir}/%{srcname} %{buildroot}%{_bindir}/%{srcname}-qt4
install -p -m0755 qt5/%{srcname} %{buildroot}%{_bindir}/%{srcname}-qt5

mkdir -p %{buildroot}%{_mandir}/man1
help2man -N %{buildroot}%{_bindir}/%{srcname}-qt4 >%{buildroot}%{_mandir}/man1/%{srcname}-qt4.1
help2man -N %{buildroot}%{_bindir}/%{srcname}-qt5 >%{buildroot}%{_mandir}/man1/%{srcname}-qt5.1


%files
%{_bindir}/%{srcname}-qt4
%{_mandir}/man1/%{srcname}-qt4.1*

%files data
%license COPYING
%doc README TODO
%{_datadir}/%{srcname}/

%files qt5
%{_bindir}/%{srcname}-qt5
%{_mandir}/man1/%{srcname}-qt5.1*


%changelog
* Tue Sep 15 2015 Raphael Groner <projects.rg@smart.ms> - 1:1.4-13.20150608git4a9c329
- revert v1.5 and continue with a snapshot
- add support for qt5
- change license to GPLv2+
- add manpages
- minor changelog modifications

* Tue Jun 23 2015 Rex Dieter <rdieter@fedoraproject.org> 1.5-1
- version 1.5 (#1234217)

* Thu Jun 18 2015 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.4-12
- Rebuilt for https://fedoraproject.org/wiki/Fedora_23_Mass_Rebuild

* Sat May 02 2015 Kalev Lember <kalevlember@gmail.com> - 1.4-11
- Rebuilt for GCC 5 C++11 ABI change

* Sun Aug 17 2014 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.4-10
- Rebuilt for https://fedoraproject.org/wiki/Fedora_21_22_Mass_Rebuild

* Sun Jun 08 2014 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.4-9
- Rebuilt for https://fedoraproject.org/wiki/Fedora_21_Mass_Rebuild

* Sun Aug 04 2013 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.4-8
- Rebuilt for https://fedoraproject.org/wiki/Fedora_20_Mass_Rebuild

* Thu Feb 14 2013 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.4-7
- Rebuilt for https://fedoraproject.org/wiki/Fedora_19_Mass_Rebuild

* Sat Jul 21 2012 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.4-6
- Rebuilt for https://fedoraproject.org/wiki/Fedora_18_Mass_Rebuild

* Sat Jan 14 2012 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.4-5
- Rebuilt for https://fedoraproject.org/wiki/Fedora_17_Mass_Rebuild

* Sun Jan 01 2012 Rex Dieter <rdieter@fedoraproject.org> 1.4-4
- BR: qt4-devel (#751249)

* Sun Jan 1 2012 Ivan Romanov <drizt@land.ru> - 1.4-3
- Added qt epoch to ruquires. Resolved #751249
- Two minutes before New Year holiday ;)

* Sat Apr 9 2011 Ivan Romanov <drizt@land.ru> - 1.4-2
- added patch to support optflags
- used qmake for build stage instead configure
- changed summary
- corrected codestyle
- fix build requires (thanks to Alexey Panov)
- binary renamed with qt4 suffix

* Thu Nov 12 2009 Arkady L. Shane <ashejn@yandex-team.ru> - 1.4-1
- initial build for Fedora
